Page MenuHomePhabricator

Skin dependencies use the wrong key (skin instead of skins)
Closed, ResolvedPublic

Description

Reported by Alex "FO-nTTaX" Winkler on wikitech-l:
The extension registration feature to depend on a specific skin by specification requires an extension to use the following example schema:

"requires": {
  "skins": {
    "Example": "*"
  }
}

However, the implementation actually looks for:

"requires": {
  "skin": {
    "Example": "*"
  }
}

See the misspelled key "skins" in the second example. This results in an exception if an extension implements the json according to the schema or to a schema violation, if an extension implements the json according to the implementation. The schema should win here, so let's fix the misspelled key (also, the extensions part uses the plural "extensions", too, instead of the singular "extension").

Details

Event Timeline

Florian created this task.Jun 15 2018, 3:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 15 2018, 3:43 PM

Change 440545 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[mediawiki/core@master] registration: Use the correct key for skin dependencies

https://gerrit.wikimedia.org/r/440545

Quiddity renamed this task from Skin dependencies use the wrong key (skin instead of skins to Skin dependencies use the wrong key (skin instead of skins).Jun 15 2018, 4:05 PM
Legoktm assigned this task to Florian.Jun 15 2018, 9:08 PM
Vvjjkkii renamed this task from Skin dependencies use the wrong key (skin instead of skins) to ttaaaaaaaa.Jul 1 2018, 1:03 AM
Vvjjkkii removed Florian as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot renamed this task from ttaaaaaaaa to Skin dependencies use the wrong key (skin instead of skins).Jul 2 2018, 4:58 AM
CommunityTechBot assigned this task to Florian.
CommunityTechBot raised the priority of this task from High to Needs Triage.
CommunityTechBot updated the task description. (Show Details)
CommunityTechBot added subscribers: gerritbot, Aklapper.

Change 446554 had a related patch set uploaded (by Florianschmidtwelzow; owner: Florianschmidtwelzow):
[mediawiki/core@REL1_31] registration: Use the correct key for skin dependencies

https://gerrit.wikimedia.org/r/446554

Change 440545 merged by jenkins-bot:
[mediawiki/core@master] registration: Use the correct key for skin dependencies

https://gerrit.wikimedia.org/r/440545

Change 446554 merged by jenkins-bot:
[mediawiki/core@REL1_31] registration: Use the correct key for skin dependencies

https://gerrit.wikimedia.org/r/446554

Florian closed this task as Resolved.Jan 27 2019, 7:44 PM